% Replicate results from Read M (2022), 'The Unit-effect Normalisation in
% Set-identified Structural Vector Autoregressions', RBA Research
% Discussion Paper No 2022-04.

%% Main results.

% Generate results under identifying restrictions from Arias, Caldara and
% Rubio-Ramirez (2019) (i.e. results underlying Figure 3). Also, add
% restrictions from Uhlig (2005) and generate results underlying Figure 4
% and top half of Table 1.
ACR;

% Generate results under combination of identifying restrictions from
% Arias, Caldara and Rubio-Ramirez (2019), Uhlig (2005) and Antolin-Diaz
% and Rubio-Ramirez (2018) (i.e. results underlying Figure 5 and bottom
% half of Table 1).
ACRUhlig_NR;

%% Secondary results (i.e. results in appendices).

% Generate results under combination of identifying restrictions from
% Arias, Caldara and Rubio-Ramirez (2019) and Uhlig (2005) given different
% horizons over which impulse responses are restricted (i.e. results
% underlying Figure C1).
% ACRUhlig_horizonRobustness;

% Check sensitivity of results obtained under restrictions from Arias,
% Caldara and Rubio-Ramirez (2019) and Uhlig (2005) when using a numerical
% optimisation routine to compute the bounds of the identified set (as
% opposed to approximating bounds via simulation). The results of this
% exercise are described in Footnote 29 in Appendix C.
% ACRUhlig_optim;